#{extends 'border.html'/}
<div class="container">
<!-- #{form @masterdata.KursCtr.createSubmit(), method:'POST', class:'form-horizontal'} -->
    
    <div class="row">
		<div class="col-md-12">
			<!-- Breadcrumb -->
			<ol class="breadcrumb">
				<li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
				<li><a href="@{masterdata.KursCtr.index()}">&{'kurs.label'}</a></li>
				<li class="active">&{'detail.label'} &{'kurs.label'}</li>
			</ol>
			<!-- End Breadcrumb -->
		</div>
	</div>
	
	<div class="row">
		<div class="col-md-12">
			<!-- Toolbar -->
			<div class="toolbar">
				#{backButton/}
			</div>
			<!-- End Toolbar -->
		</div>
	</div>


	<div class="row">
		<div class="col-md-12">
			#{alert /}
			<div class="panel panel-default">
				<div class="panel-body" style="overflow-x: auto">
					<!-- Data Table -->
					<table class="table table-striped" id="tblNilaiKurs">
						<thead>
							<th>&{'nomor.label'}</th>
							<th>&{'tanggal.label'}</th>
							<th>&{'nilai_jual.label'}</th>
							<th>&{'nilai_beli.label'}</th>
							<th>&{'tanggal_dibuat.label'}</th>
							<th>&{'dibuat_oleh.label'}</th>
							<th>&{'tanggal_ubah.label'}</th>
							<th>&{'diubah_oleh.label'}</th>
						</thead>
					</table>
					<!-- End Data Table -->
				</div>
			</div>
		</div>
	</div>

	<!-- Modal -->
	<div class="modal fade" id="editModal" tabindex="-1" role="dialog"
		aria-labelledby="myModalLabel">
		<div class="modal-dialog" role="document">
			#{form @masterdata.KursCtr.editNilaiSubmit(), method:'POST'}
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal"
						aria-label="Close">
						<span aria-hidden="true">&times;</span>
					</button>
					<h4 class="modal-title" id="myModalLabel">&{'ubah.label'} &{'nilai_kurs.label'}</h4>
				</div>
				<div class="modal-body">
					<div class="form-group required">
						<label class="control-label">&{'tanggal.label'}</label> <input type="text"
							id="tanggal_kurs" name="tanggal_kurs" class="form-control datepicker" required disabled/>
					</div>
					<div class="form-group required">
						<label class="control-label">&{'harga_jual.label'}</label> <input
							id="nilai_jual" name="nilai_jual" class="form-control" required/>
					</div>
					<div class="form-group">
						<label class="control-label">&{'harga_beli.label'}</label> <input
							id="nilai_beli" name="nilai_beli" class="form-control" />
					</div>
					<input id="id_kurs" name="id_kurs" type="hidden" value="${model?.id}"/>
					<input id="input_id" name="id" type="hidden" />
				</div>
				<div class="modal-footer">
                	<button type="button" class="btn btn-default btn-md" data-dismiss="modal"><i class="fa fa-close"></i> &{'batal.label'}</button>
                	<button type="submit" class="btn btn-primary btn-md"><i class="fa fa-save"></i> &{'simpan.label'}</button>
                </div>
			</div>
			#{/form}
		</div>
	</div>
    
<!-- #{/form} -->
</div>

#{set 'moreScripts'}
<script type="text/javascript">
    jQuery(document).ready(function($) {

		$("#tblNilaiKurs").dataTable({
			ajax : {
				url : "@{DataTableCtr.cariNilaiKurs()}" + "?kurs_id="+"${model?.id}",
				cache : true
			},
			order : [ [ 1, "desc" ] ],
			columns : [ {
				"searchable" : false, "className": "header-center",
                render: function(data, type, row, meta) {
                    return meta.row + meta.settings._iDisplayStart + 1 + ".";
                }
			}, {
				"searchable" : false, "className": "header-center"
			}, {
				"searchable" : false, "className": "header-center"
			}, {
				"searchable" : false, "className": "header-center"
			}, {
				"searchable" : false, "className": "header-center"
			}, {
				"searchable" : false, "className": "header-center"
			}, {
				"searchable" : false, "className": "header-center"
			}, {
				"searchable" : false, "className": "header-center"
			} ]
		});

		$("body").on("click", ".tanggal_kurs", function() {
			var tanggal = $(this).html();
			var id = $(this).attr("nilai_id");
			var nilaiJual = $(this).attr("nilai_jual");
			var nilaiBeli = $(this).attr("nilai_beli");
			$("#input_id").val(id);
			$("#tanggal_kurs").prop('disabled', true);
			$("#tanggal_kurs").val(tanggal);
			$("#nilai_jual").val(nilaiJual);
			$("#nilai_beli").val(nilaiBeli);
			$("#editModal").modal();
		});

		$("body").on("click", "#btnAdd", function() {
			var date = new Date();
			var dateStr = date.getDate() + '-' + (date.getMonth()+1) + '-' +  date.getFullYear();
			var id = 0;
			var nilaiJual = 0;
			var nilaiBeli = 0;
			$("#input_id").val(id);
			$("#tanggal_kurs").prop('disabled', false);
			$("#tanggal_kurs").val(dateStr);
			$("#nilai_jual").val(nilaiJual);
			$("#nilai_beli").val(nilaiBeli);
			$("#editModal").modal();
		});



		$("#addInput").on("click",function(){
			var str = "<tr><td><a id='removeInput' class='btn btn-danger'><i class='fa fa-trash'></i></a></td><td><input class='form-control' name='nama_kurs_arr'/></td></tr>";
			$("#inputForm").append(str);
		});

		$("body").on("click","#removeInput",function(){
			$(this).parent().parent().remove();
		});

		$("#removeAllInput").on("click",function(){
			$("#inputForm tr").remove();
		});
    });
</script>
#{/set}